Bug 489437 - poor quality microphone recordings in VoIP apps
poor quality microphone recordings in VoIP apps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 22:14 EDT by Jason Haar
Modified: 2009-12-18 03:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Haar 2009-03-09 22:14:30 EDT
Description of problem:

On both my FC8 desktop and FC10 laptop (both Intel 82801G soundcards), microphone records are poor quality. Specifically "s" sounds come through staticy. If I use Ekiga or Twinkle, I get the problem, but if I use Skype - it's fine.

Under FC8 I don't use pulseaudio - just straight ALSA, but under FC10 I use pulseaudio - so I'm assuming the fact that I have identical problems on both makes this an ALSA problem?

I googled around and after much experimentation can duplicate the problem using ALSA tools.

arecord sample.wav

makes an 8bit, 8000 Hz recording, and contains the "staticy 's'" problem. If I do it again as

arecord -f cd sample.wav

the recording is 16bit, 44100 Hz and sounds beautiful. 


Version-Release number of selected component (if applicable):

alsa-lib-1.0.16 and alsa-lib-1.0.19. pulseaudio-0.9.14-1.fc10

How reproducible:


Steps to Reproduce:
1. start ekiga/twinkle
2. make call
3. listen to recipient says "ewww - what's wrong with your mic?"
  
Actual results:

poor quality voice

Expected results:

should sound better than it does

Additional info:

Well, it's not codec-related. 

It smells to me like Skype is exclusively using "high quality" recordings (ie 16bit) whereas ekiga/Twinkle use defaults - and end up with poor 8bit? I can't see any way of making the apps directly do things differently so am at a loss how to fix this. 

Thanks for any help

Jason
Comment 1 Bug Zapper 2009-11-18 06:19:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 03:59:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.